| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.MenuComboToolbar.RadioToolButton

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods
Attributes

Description

A toolbar item that contains a radio button

- Module available since Gtk+ version 2.4

Synopsis

data RadioToolButton
class ToggleToolButtonClass o => RadioToolButtonClass o
castToRadioToolButton :: GObjectClass obj => obj -> RadioToolButton
toRadioToolButton :: RadioToolButtonClass o => o -> RadioToolButton
radioToolButtonNew :: IO RadioToolButton
radioToolButtonNewFromStock :: StockId -> IO RadioToolButton
radioToolButtonNewFromWidget :: RadioToolButtonClass groupMember => groupMember -> IO RadioToolButton
radioToolButtonNewWithStockFromWidget :: RadioToolButtonClass groupMember => groupMember -> StockId -> IO RadioToolButton
radioToolButtonGetGroup :: RadioToolButtonClass self => self -> IO [RadioToolButton]
radioToolButtonSetGroup :: RadioToolButtonClass self => self -> RadioToolButton -> IO ()
radioToolButtonGroup :: RadioToolButtonClass self => ReadWriteAttr self [RadioToolButton] RadioToolButton

Detail

A `RadioToolButton` is a `ToolItem` that contains a radio button, that is, a button that is part of a group of toggle buttons where only one button can be active at a time.

Use `radioToolButtonNew` to create a new `RadioToolButton`. use `radioToolButtonNewFromWidget` to create a new `RadioToolButton` that is part of the same group as an existing `RadioToolButton`. Use `radioToolButtonNewFromStock` or `radioToolButtonNewWithStockFromWidget` to create a new `RadioToolButton` containing a stock item.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----ToolItem
     |                                 +----ToolButton
     |                                       +----ToggleToolButton
     |                                             +----RadioToolButton

Types
data RadioToolButton

Instances

GObjectClass RadioToolButton
RadioToolButtonClass RadioToolButton
ToggleToolButtonClass RadioToolButton
ToolButtonClass RadioToolButton
ToolItemClass RadioToolButton
BinClass RadioToolButton
ContainerClass RadioToolButton
WidgetClass RadioToolButton
ObjectClass RadioToolButton

class ToggleToolButtonClass o => RadioToolButtonClass o

Instances

RadioToolButtonClass RadioToolButton

castToRadioToolButton :: GObjectClass obj => obj -> RadioToolButton
toRadioToolButton :: RadioToolButtonClass o => o -> RadioToolButton
Constructors
radioToolButtonNew :: IO RadioToolButton
Creates a new `RadioToolButton`, creating a new group.
radioToolButtonNewFromStock

:: StockId | `stockId` - the name of a stock item
-> IO RadioToolButton |
Creates a new `RadioToolButton`, creating a new group. The new `RadioToolButton` will contain an icon and label from the stock item indicated by `stockId`.

radioToolButtonNewFromWidget

:: RadioToolButtonClass groupMember |
=> groupMember | `groupMember` - a member of an existing radio group, to which the new radio tool button will be added.
-> IO RadioToolButton |
Creates a new `RadioToolButton` adding it to the same group as the group to which `groupMember` belongs.

radioToolButtonNewWithStockFromWidget

:: RadioToolButtonClass groupMember |
=> groupMember | `groupMember` - a member of an existing radio group, to which the new radio tool button will be added.
-> StockId | `stockId` - the name of a stock item
-> IO RadioToolButton |
Creates a new `RadioToolButton` adding it to the same group as the group to which `groupMember` belongs. The new `RadioToolButton` will contain an icon and label from the stock item indicated by `stockId`.

Methods
radioToolButtonGetGroup

:: RadioToolButtonClass self |
=> self |
-> IO [RadioToolButton] | returns the group the button belongs to.
Returns the radio button group `button` belongs to.

radioToolButtonSetGroup

:: RadioToolButtonClass self |
=> self |
-> RadioToolButton | `groupMember` - a member of an existing radio group, to which the radio tool button will be added.
-> IO () |
Adds `button` to `group`, removing it from the group it belonged to before.

Attributes
radioToolButtonGroup :: RadioToolButtonClass self => ReadWriteAttr self [RadioToolButton] RadioToolButton
Sets a new group for a radio tool button.
Produced by Haddock version 2.4.2